Bug 567319 - GDM starts endlessly
GDM starts endlessly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Alpha/F13AlphaBlocker
  Show dependency treegraph
 
Reported: 2010-02-22 11:14 EST by Kamil Páral
Modified: 2013-01-10 00:43 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.10-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-24 03:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
system logs (57.64 KB, application/x-gzip)
2010-02-22 11:14 EST, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-02-22 11:14:31 EST
Created attachment 395500 [details]
system logs

Description of problem:
I used desktop-x86_64-20100221.16.iso live image available from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/. By default the system boots up, starts graphical mode, but it then waits infinitely with busy cursor. No background shows up, no list of users shows up. I don't know if the GDM is already started or not, but only a cursor on black screen is visible. That waits endlessly.

If I append enforcing=0 to the boot line, everything works, the system boots.

Version-Release number of selected component (if applicable):
included in the logs

How reproducible:
always

Steps to Reproduce:
1. Boot the live image
2.
3.

Additional info:
Could this be related to bug #566995?
Comment 1 Fedora Update System 2010-02-22 12:46:23 EST
selinux-policy-3.7.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.10-1.fc13
Comment 2 Fedora Update System 2010-02-22 13:36:10 EST
selinux-policy-3.7.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.10-1.fc13
Comment 3 Daniel Walsh 2010-02-22 13:46:49 EST
Fixed in selinux-policy-3.7.10-1.fc13
Comment 4 Rex Dieter 2010-02-22 19:46:26 EST
Seeing this with kdm on kde-x86_64-20100221.16.iso too
Comment 5 Jesse Keating 2010-02-22 22:02:21 EST
Confirmed this policy fixes the problem
Comment 6 Fedora Update System 2010-02-23 09:27:46 EST
selinux-policy-3.7.10-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.10-2.fc13
Comment 7 Fedora Update System 2010-02-23 11:04:32 EST
selinux-policy-3.7.10-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2622
Comment 8 Fedora Update System 2010-02-23 11:29:28 EST
selinux-policy-3.7.10-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2622
Comment 9 Adam Williamson 2010-02-23 14:48:20 EST
confirming that I can't cause any problems with selinux-policy-3.7.10-2.fc13 whether I boot regular, selinux=0 or enforcing=0 . (going from selinux=0 to enforcing=0 triggered a policy rebuild, though.)
Comment 10 Fedora Update System 2010-02-23 16:07:23 EST
selinux-policy-3.7.10-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/F13/FEDORA-2010-2622

Note You need to log in before you can comment on or make changes to this bug.